#ifndef TIRIS_H
#define TIRIS_H

class TIris
{
  private:

  double I2EW [ 4 ][ 8 ];
  double E2OW [ 3 ] [ 8 ];

  double Satlin ( double Input )
  {
    if ( Input > 1.0 )
    {
      return 1.0;
    }
    else
    {
      return Input;
    }
  }

  public:

  static const int InputNodes = 4;
  static const int EvolvingNodes = 8;
  static const int OutputNodes = 3;

  TIris ();
  void Recall ( double InputValues [ 4 ] , double OutputValues [ 3 ] );

};

#endif
